Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render.http
Class URLRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.ManagedRenderer
            |
            +--oracle.portal.provider.v2.render.http.BaseManagedRenderer
                  |
                  +--oracle.portal.provider.v2.render.http.URLRenderer

All Implemented Interfaces:
  InitializableXMLObject, Validateable

Direct Known Subclasses:
  BasicURLRenderer

public synchronized class URLRenderer
extends BaseManagedRenderer

Field Summary
`static java.lang.String` | `CHAR_ENCODING`
`static java.lang.String` | `DEFAULT_CHARACTER_ENCODING`
`static java.lang.String` | `URL_CONTENT_TYPE`

Constructor Summary
`URLRenderer()`

Method Summary
`java.lang.String` | `getCharSet()`
`java.lang.String` | `getContentType()` Gets the default MIME type to be used as the content type for this renderer's pages.
`ContentFilter` | `getFilter()`
`java.lang.String` | `getFilterType()`
`java.lang.String` | `getPageUrl()`
`java.net.URL` | `getParsedPageUrl()`
`boolean` | `getUseInvalidationCaching()`
`java.lang.String` | `getWalletLocation()`
`java.lang.String` | `getWalletPassword()`
`void` | `preInitialize(java.lang.Object)` Performs the steps required to initialize a BaseManagedRenderer object after it has been constructed.
`boolean` | `prepareResponse(PortletRenderRequest)` Sets default HTTP headers for the response.
`void` | `renderBody(PortletRenderRequest)` Performs the steps necessary to render the portlet's contents for this specific `PortletRenderRequest`.
`void` | `setCharSet(java.lang.String)`
`void` | `setContentType(java.lang.String)` Sets the default MIME type to be used as the content type for this renderer's pages.
`void` | `setFilter(java.lang.Object)`
`void` | `setFilterType(java.lang.String)`
`void` | `setPageUrl(java.lang.String)`
`void` | `setUseInvalidationCaching(java.lang.String)` Sets a flag to indicate whether or not to use invalidation caching
`void` | `setWalletLocation(java.lang.String)`
`void` | `setWalletPassword(java.lang.String)`

Methods inherited from class oracle.portal.provider.v2.render.http.BaseManagedRenderer
`addParameter, getGeneratesESI, postInitialize, setGeneratesESI, setGeneratesESI, setPageExpires, setPageExpires, setUseInvalidationCaching, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CHARACTER_ENCODING

    public static final java.lang.String DEFAULT_CHARACTER_ENCODING

See Also:
  Constant Field Values

### CHAR_ENCODING

    public static final java.lang.String CHAR_ENCODING

See Also:
  Constant Field Values

### URL_CONTENT_TYPE

    public static final java.lang.String URL_CONTENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### URLRenderer

    public URLRenderer()

Method Detail

### renderBody

    public void renderBody(PortletRenderRequest)
                    throws PortletException,
                           AccessControlException

  Description copied from class: `ManagedRenderer`
  Performs the steps necessary to render the portlet's contents for this specific `PortletRenderRequest`. If this ManagedRenderer is rendering for the default page, this method should be able to render contents for all remaining supported modes.

  Specified by:
    `renderBody` in class `ManagedRenderer`
  Parameters:
    `` - a `PortletRenderRequest`
    `PortletException`
    `AccessControlException`

### setPageUrl

    public void setPageUrl(java.lang.String)
                    throws PortletException

    `PortletException`

### getPageUrl

    public java.lang.String getPageUrl()

### setContentType

    public void setContentType(java.lang.String)

  Description copied from class: `BaseManagedRenderer`
  Sets the default MIME type to be used as the content type for this renderer's pages.

  Overrides:
    `setContentType` in class `BaseManagedRenderer`
  Parameters:
    `` - MIME type to be used as the content type for this renderer's pages.

### getContentType

    public java.lang.String getContentType()

  Description copied from class: `BaseManagedRenderer`
  Gets the default MIME type to be used as the content type for this renderer's pages. If a content type hasn't been set explicitly on this `BaseManagedRenderer`, then the value returned by calling the `RenderManager.getContentType()` method on the parent `RenderManager` is returned.

  Overrides:
    `getContentType` in class `BaseManagedRenderer`
  Returns:
    MIME type to be used as the content type for this renderer's pages.

### setFilter

    public void setFilter(java.lang.Object)
                   throws PortletException

    `PortletException`

### getFilter

    public ContentFilter getFilter()

### setFilterType

    public void setFilterType(java.lang.String)

### getFilterType

    public java.lang.String getFilterType()

### preInitialize

    public void preInitialize(java.lang.Object)
                       throws NodeHandlerException

  Description copied from class: `BaseManagedRenderer`
  Performs the steps required to initialize a BaseManagedRenderer object after it has been constructed.

  Specified by:
    `preInitialize` in interface `InitializableXMLObject`
  Overrides:
    `preInitialize` in class `BaseManagedRenderer`
  Parameters:
    `` - the object that will become this object's parent
  Throws:
    `NodeHandlerException` - if an error occurs while initializing this object

### prepareResponse

    public boolean prepareResponse(PortletRenderRequest)
                            throws PortletException

  Description copied from class: `BaseManagedRenderer`
  Sets default HTTP headers for the response. This consists of `content type` and page expiry time, both of which may be set programatically via calls to `BaseManagedRenderer.setContentType(String)` and `BaseManagedRenderer.setPageExpires(String)` or declaritivley in `provider.xml` with the `<contentType>` and `<pageExpires>` tags.

  Overrides:
    `prepareResponse` in class `BaseManagedRenderer`
  Parameters:
    `` - a `PortletRenderRequest`
  Returns:
    boolean flag indicating whether or not to render the portlet's contents (e.g. is the cached version still valid)
    `PortletException`

### getUseInvalidationCaching

    public boolean getUseInvalidationCaching()

### setUseInvalidationCaching

    public void setUseInvalidationCaching(java.lang.String)

  Description copied from class: `BaseManagedRenderer`
  Sets a flag to indicate whether or not to use invalidation caching

  Overrides:
    `setUseInvalidationCaching` in class `BaseManagedRenderer`
  Parameters:
    `` - if true use invalidation caching, otherwise don't

### getParsedPageUrl

    public java.net.URL getParsedPageUrl()

### setCharSet

    public void setCharSet(java.lang.String)

### getCharSet

    public java.lang.String getCharSet()

### setWalletLocation

    public void setWalletLocation(java.lang.String)

### getWalletLocation

    public java.lang.String getWalletLocation()

### getWalletPassword

    public java.lang.String getWalletPassword()

### setWalletPassword

    public void setWalletPassword(java.lang.String)

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.